#!/usr/bin/env ruby
# coding: utf-8


#なんだかんだで然さんのやつをぶちこんだやつです
#ここからのやつが然さんのやつです
puts"すごろくを始めます。"
sleep 1
puts"まずは順番決めです。"
sleep 1
puts"数字が大きい人が先攻です。"
sleep 1
puts" P1 さんの結果は..."
sleep 2

srand()
saikoro1 = rand(10) + 1
printf("%d です!\n",saikoro1)
sleep 2
puts" P2 さんの結果は..."
sleep 2

saikoro2 = rand(10) + 1
printf("%d です!\n",saikoro2)
sleep 2
if saikoro1 > saikoro2
  puts" P1 さんが先攻、 P2 さんが後攻です。"
end

if saikoro1 < saikoro2
  puts" P2 さんが先攻、 P1 さんが後攻です。"
end
sleep 2
#ここまでのやつが然さんのやつです
#すごいね

srand()
dice = rand(6) + 1

masu = 0 + dice

printf("今のマス目は 0 です。 ",masu)
puts("ダイスロール!")
sleep 1
printf("\出たダイスの目は %d でした。",dice)
sleep 1
printf(" %d マス進みます",dice)
sleep 1
x = masu
d = ["wait it can't be","\n 1マス目","\n 2マス目","\n 3マス目","\n 4マス目","\n 5マス目","\n 6マス目","\n 7マス目","\n 8マス目","\n 9マス目","\n 10マス目","\n 11マス目","\n 12マス目","\n 13マス目","\n 14マス目","\n 15マス目","\n 16マス目","\n 17マス目","\n 18マス目","\n 19マス目"]
puts d[x]
sleep 1

srand()
dice2 = rand(6) + 1

masu2 = masu + dice2

printf("今のマス目は %s です。 ",masu)
puts("ダイスロール!")
sleep 1
printf("\出たダイスの目は %d でした。",dice2)
sleep 1
printf(" %d マス進みます",dice2)
sleep 1
x = masu2
d = ["wait it can't be","\n 1マス目","\n 2マス目","\n 3マス目","\n 4マス目","\n 5マス目","\n 6マス目","\n 7マス目","\n 8マス目","\n 9マス目","\n 10マス目","\n 11マス目","\n 12マス目","\n 13マス目","\n 14マス目","\n 15マス目","\n 16マス目","\n 17マス目","\n 18マス目","\n 19マス目"]
puts d[x]
sleep 1

srand()
dice3 = rand(6) + 1

masu3 = masu2 + dice3

printf("今のマス目は %s です。 ",masu2)
puts("ダイスロール!")
sleep 1
printf("\出たダイスの目は %d でした。",dice3)
sleep 1
printf(" %d マス進みます",dice3)
sleep 1
x = masu3
d = ["wait it can't be","\n 1マス目","\n 2マス目","\n 3マス目","\n 4マス目","\n 5マス目","\n 6マス目","\n 7マス目","\n 8マス目","\n 9マス目","\n 10マス目","\n 11マス目","\n 12マス目","\n 13マス目","\n 14マス目","\n 15マス目","\n 16マス目","\n 17マス目","\n 18マス目","\n wait it can't be"]
puts d[x]
sleep 3
puts"体験版はここまでです。"
sleep 2
puts"続きは製品版でお楽しみください。"
sleep 2
puts"Teh End XD"



